; Script generated by the HM NIS Edit Script Wizard.

; HM NIS Edit Wizard helper defines
!define PRODUCT_NAME "BibliothK"
!define PRODUCT_VERSION "1.0"
!define PRODUCT_PUBLISHER "Johan Cwiklinski - X-TnD"
!define PRODUCT_WEB_SITE "http://logiciels.x-tnd.be/bibliothek.php5"
!define PRODUCT_UNINST_KEY "Software\Microsoft\Windows\CurrentVersion\Uninstall\${PRODUCT_NAME}"
!define PRODUCT_UNINST_ROOT_KEY "HKLM"
!define PRODUCT_STARTMENU_REGVAL "NSIS:StartMenuDir"

SetCompressor bzip2

; MUI 1.67 compatible ------
!include "MUI.nsh"

; MUI Settings
!define MUI_ABORTWARNING
!define MUI_ICON "${NSISDIR}\Contrib\Graphics\Icons\orange-install.ico"
!define MUI_UNICON "${NSISDIR}\Contrib\Graphics\Icons\orange-uninstall.ico"
!define MUI_HEADERIMAGE
!define MUI_HEADERIMAGE_BITMAP "${NSISDIR}\Contrib\Graphics\Header\orange.bmp"
!define MUI_WELCOMEFINISHPAGE_BITMAP "${NSISDIR}\Contrib\Graphics\Wizard\orange.bmp"

; Language Selection Dialog Settings
!define MUI_LANGDLL_REGISTRY_ROOT "${PRODUCT_UNINST_ROOT_KEY}"
!define MUI_LANGDLL_REGISTRY_KEY "${PRODUCT_UNINST_KEY}"
!define MUI_LANGDLL_REGISTRY_VALUENAME "NSIS:Language"

; Welcome page
!insertmacro MUI_PAGE_WELCOME
; License page
!define MUI_LICENSEPAGE_RADIOBUTTONS
!insertmacro MUI_PAGE_LICENSE "..\gpl.txt"
; Components page
!insertmacro MUI_PAGE_COMPONENTS
; Directory page
!insertmacro MUI_PAGE_DIRECTORY
; Start menu page
var ICONS_GROUP
!define MUI_STARTMENUPAGE_NODISABLE
!define MUI_STARTMENUPAGE_DEFAULTFOLDER "BibliothK"
!define MUI_STARTMENUPAGE_REGISTRY_ROOT "${PRODUCT_UNINST_ROOT_KEY}"
!define MUI_STARTMENUPAGE_REGISTRY_KEY "${PRODUCT_UNINST_KEY}"
!define MUI_STARTMENUPAGE_REGISTRY_VALUENAME "${PRODUCT_STARTMENU_REGVAL}"
!insertmacro MUI_PAGE_STARTMENU Application $ICONS_GROUP
; Instfiles page
!insertmacro MUI_PAGE_INSTFILES
; Finish page
!insertmacro MUI_PAGE_FINISH

; Uninstaller pages
!insertmacro MUI_UNPAGE_INSTFILES

; Language files
!insertmacro MUI_LANGUAGE "English"
!insertmacro MUI_LANGUAGE "French"
!insertmacro MUI_LANGUAGE "German"
!insertmacro MUI_LANGUAGE "Spanish"

; Reserve files
!insertmacro MUI_RESERVEFILE_INSTALLOPTIONS

; MUI end ------

Name "${PRODUCT_NAME} ${PRODUCT_VERSION}"
OutFile "bibliothek-${PRODUCT_VERSION}.exe"
InstallDir "$PROGRAMFILES\TrashyLand\BibliothK"
ShowInstDetails show
ShowUnInstDetails show

Function .onInit
  !insertmacro MUI_LANGDLL_DISPLAY
FunctionEnd

Section "!BibliothK" SEC01
  SectionIn RO
  SetOutPath "$INSTDIR\.config"
  SetOverwrite off
  File ".config\biblio-config.xml"
  SetOutPath "$INSTDIR"
  SetOverwrite ifnewer
  File "biblio-icon.ico"
  File "bibliothek.jar"
  File "biblio-icon.ico"
  File "license.txt"

; Shortcuts
  !insertmacro MUI_STARTMENU_WRITE_BEGIN Application
  CreateDirectory "$SMPROGRAMS\$ICONS_GROUP"
  CreateShortCut "$SMPROGRAMS\$ICONS_GROUP\BibliothK.lnk" "$INSTDIR\bibliothek.jar" "" "$INSTDIR\biblio-icon.ico"
  CreateShortCut "$DESKTOP\BibliothK.lnk" "$INSTDIR\bibliothek.jar" "" "$INSTDIR\biblio-icon.ico"
  !insertmacro MUI_STARTMENU_WRITE_END
SectionEnd

Section "!Communs" SEC02
  SetOutPath "$INSTDIR\libs"
  File "libs\bcpg-jdk15-128.jar"
  File "libs\bcprov-jdk15-128.jar"
  File "libs\LICENSE.bouncy.txt"
  File "libs\jdt-compiler.jar"
  File "libs\LICENSE.jdt-compiler.html"
  File "libs\jhall.jar"
  File "libs\LICENSE.javahelp.html"
  File "libs\looks-1.3.1.jar"
  File "libs\LICENSE.looks.txt"
  File "libs\mysql-connector-java-3.1.8-bin.jar"
  File "libs\LICENSE.mysql-connector.txt"
  File "libs\trashyland-commons.jar"
  File "libs\LICENSE.trashyland-commons.txt"

; Shortcuts
  !insertmacro MUI_STARTMENU_WRITE_BEGIN Application
  !insertmacro MUI_STARTMENU_WRITE_END
SectionEnd

Section /o "BibliothK sources" SEC03
  SetOutPath "$INSTDIR\sources\"
  SetOverwrite on
  File "sources\bibliothek-src.tar.bz2"
SectionEnd

Section /o "TrashyLand-Commons sources" SEC04
  SetOutPath "$INSTDIR\sources\"
  SetOverwrite on
  File "sources\trashyland-commons-src.tar.bz2"
SectionEnd

Section -AdditionalIcons
  SetOutPath $INSTDIR
  !insertmacro MUI_STARTMENU_WRITE_BEGIN Application
  CreateShortCut "$SMPROGRAMS\$ICONS_GROUP\Uninstall.lnk" "$INSTDIR\uninst.exe"
  !insertmacro MUI_STARTMENU_WRITE_END
SectionEnd

Section -Post
  WriteUninstaller "$INSTDIR\uninst.exe"
  WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "DisplayName" "$(^Name)"
  WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "UninstallString" "$INSTDIR\uninst.exe"
  WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "DisplayVersion" "${PRODUCT_VERSION}"
  WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "URLInfoAbout" "${PRODUCT_WEB_SITE}"
  WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "Publisher" "${PRODUCT_PUBLISHER}"
SectionEnd

; Section descriptions
!insertmacro MUI_FUNCTION_DESCRIPTION_BEGIN
  !insertmacro MUI_DESCRIPTION_TEXT ${SEC01} "Programme de gestion de bibliothques"
  !insertmacro MUI_DESCRIPTION_TEXT ${SEC02} "Librairies communes ncssaires"
  !insertmacro MUI_DESCRIPTION_TEXT ${SEC03} "Sources de BibliothK"
  !insertmacro MUI_DESCRIPTION_TEXT ${SEC04} "Sources des fichiers communs"
!insertmacro MUI_FUNCTION_DESCRIPTION_END


Function un.onUninstSuccess
  HideWindow
  MessageBox MB_ICONINFORMATION|MB_OK "$(^Name) a t dsinstall avec succs de votre ordinateur ainsi que ses librairies et fichiers de configuration."
FunctionEnd

Function un.onInit
!insertmacro MUI_UNGETLANGUAGE
  MessageBox MB_ICONQUESTION|MB_YESNO|MB_DEFBUTTON2 "tes-vous certains de vouloir dsinstaller totalement $(^Name) et tous ses composants et fichiers de configuration ? ?" IDYES +2
  Abort
FunctionEnd

Section Uninstall
  !insertmacro MUI_STARTMENU_GETFOLDER "Application" $ICONS_GROUP
  Delete "$INSTDIR\uninst.exe"
  Delete "$INSTDIR\sources\trashyland-commons-src.tar.bz2"
  Delete "$INSTDIR\sources\bibliothek-src.tar.bz2"
  Delete "$INSTDIR\libs\trashyland-commons.jar"
  Delete "$INSTDIR\libs\mysql-connector-java-3.1.8-bin.jar"
  Delete "$INSTDIR\libs\looks-1.3.1.jar"
  Delete "$INSTDIR\libs\jhall.jar"
  Delete "$INSTDIR\libs\jdt-compiler.jar"
  Delete "$INSTDIR\libs\bcprov-jdk15-128.jar"
  Delete "$INSTDIR\libs\bcpg-jdk15-128.jar"
  Delete "$INSTDIR\.config\biblio-config.xml"
  Delete "$INSTDIR\.config\books.jrxml"
  Delete "$INSTDIR\bibliothek.jar"
  Delete "$INSTDIR\biblio-icon.ico"

  Delete "$SMPROGRAMS\$ICONS_GROUP\Uninstall.lnk"
  Delete "$DESKTOP\BibliothK.lnk"
  Delete "$SMPROGRAMS\$ICONS_GROUP\BibliothK.lnk"

  RMDir "$SMPROGRAMS\$ICONS_GROUP"
  RMDir "$INSTDIR\sources\"
  RMDir "$INSTDIR\libs"
  RMDir "$INSTDIR\.config"
  RMDir "$INSTDIR"

  DeleteRegKey ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}"
  SetAutoClose true
SectionEnd