-- phpMyAdmin SQL Dump
-- version 2.6.2-pl1
-- http://www.phpmyadmin.net
-- 
-- Serveur: odysseus
-- Généré le : Dimanche 26 Février 2006 à 00:06
-- Version du serveur: 5.0.18
-- Version de PHP: 5.1.2
-- 
-- Base de données: `divx-innodb`
-- 

-- --------------------------------------------------------

-- 
-- Structure de la table `acteurs`
-- 

CREATE TABLE `acteurs` (
  `id_acteur` int(5) NOT NULL auto_increment,
  `acteur` varchar(100) NOT NULL default '',
  PRIMARY KEY  (`id_acteur`),
  UNIQUE KEY `NomActeur` (`acteur`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

-- 
-- Structure de la table `divx`
-- 

CREATE TABLE `divx` (
  `id_film` int(5) NOT NULL default '0',
  `titre` varchar(100) NOT NULL default '',
  `sous_titre` varchar(100) default NULL,
  `annee` varchar(4) default NULL,
  `resume` text,
  `duree` int(4) default NULL,
  `cd` int(1) NOT NULL default '1',
  PRIMARY KEY  (`id_film`),
  KEY `titre` (`titre`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

-- 
-- Structure de la table `divxacteurs`
-- 

CREATE TABLE `divxacteurs` (
  `id_film` int(5) NOT NULL default '0',
  `id_acteur` int(5) NOT NULL default '0',
  PRIMARY KEY  (`id_film`,`id_acteur`),
  KEY `id_acteur_constraint` (`id_acteur`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

-- 
-- Structure de la table `divxgenres`
-- 

CREATE TABLE `divxgenres` (
  `id_film` int(5) NOT NULL default '0',
  `id_genre` int(5) NOT NULL default '1',
  PRIMARY KEY  (`id_film`,`id_genre`),
  KEY `types_constraint` (`id_genre`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 ROW_FORMAT=DYNAMIC;

-- --------------------------------------------------------

-- 
-- Structure de la table `divxorigines`
-- 

CREATE TABLE `divxorigines` (
  `id_film` int(5) NOT NULL default '0',
  `id_origine` int(5) NOT NULL default '1',
  PRIMARY KEY  (`id_film`,`id_origine`),
  KEY `origines_constraint` (`id_origine`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 ROW_FORMAT=DYNAMIC;

-- --------------------------------------------------------

-- 
-- Structure de la table `divxrealisateurs`
-- 

CREATE TABLE `divxrealisateurs` (
  `id_film` int(5) NOT NULL default '0',
  `id_realisateur` int(5) NOT NULL default '1',
  PRIMARY KEY  (`id_film`,`id_realisateur`),
  KEY `realisateurs_constraint` (`id_realisateur`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 ROW_FORMAT=DYNAMIC;

-- --------------------------------------------------------

-- 
-- Structure de la table `emprunteurs`
-- 

CREATE TABLE `emprunteurs` (
  `id_emprunteur` int(11) NOT NULL auto_increment,
  `nom_emprunteur` varchar(50) NOT NULL default '',
  PRIMARY KEY  (`id_emprunteur`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

-- 
-- Structure de la table `genres`
-- 

CREATE TABLE `genres` (
  `id_genre` int(5) NOT NULL auto_increment,
  `genre` varchar(50) NOT NULL default '',
  PRIMARY KEY  (`id_genre`),
  UNIQUE KEY `genre` (`genre`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

INSERT INTO `genres` VALUES (1, 'Inconnu');
-- --------------------------------------------------------

-- 
-- Structure de la table `origines`
-- 

CREATE TABLE `origines` (
  `id_origine` int(2) NOT NULL auto_increment,
  `origine` varchar(50) NOT NULL default '',
  PRIMARY KEY  (`id_origine`),
  UNIQUE KEY `origine` (`origine`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

INSERT INTO `origines` VALUES (1, 'Inconnue');
-- --------------------------------------------------------

-- 
-- Structure de la table `prets`
-- 

CREATE TABLE `prets` (
  `login` varchar(15) NOT NULL default '',
  `id_film` int(5) NOT NULL default '0',
  PRIMARY KEY  (`login`,`id_film`),
  KEY `film_constraint` (`id_film`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

-- 
-- Structure de la table `qualite`
-- 

CREATE TABLE `qualite` (
  `Qualite` tinyint(2) unsigned NOT NULL default '5',
  PRIMARY KEY  (`Qualite`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

-- 
-- Structure de la table `realisateurs`
-- 

CREATE TABLE `realisateurs` (
  `id_realisateur` int(5) NOT NULL auto_increment,
  `realisateur` varchar(50) NOT NULL default '',
  PRIMARY KEY  (`id_realisateur`),
  UNIQUE KEY `NomRealisateur` (`realisateur`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

INSERT INTO `realisateurs` VALUES (1, 'Inconnu');
-- --------------------------------------------------------

-- 
-- Structure de la table `reserv`
-- 

CREATE TABLE `reserv` (
  `login` varchar(15) NOT NULL default '',
  `id_film` int(5) NOT NULL default '0',
  PRIMARY KEY  (`login`,`id_film`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

-- 
-- Structure de la table `weborigins`
-- 

CREATE TABLE `weborigins` (
  `web` varchar(20) NOT NULL default '',
  `id_origine` int(2) NOT NULL default '0',
  PRIMARY KEY  (`web`),
  KEY `web_origins_constraint` (`id_origine`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- 
-- Contraintes pour les tables exportées
-- 

-- 
-- Contraintes pour la table `divxacteurs`
-- 
ALTER TABLE `divxacteurs`
  ADD CONSTRAINT `id_acteur_constraint` FOREIGN KEY (`id_acteur`) REFERENCES `acteurs` (`id_acteur`) ON UPDATE CASCADE,
  ADD CONSTRAINT `id_film_constraint` FOREIGN KEY (`id_film`) REFERENCES `divx` (`id_film`) ON DELETE CASCADE ON UPDATE CASCADE;

-- 
-- Contraintes pour la table `divxgenres`
-- 
ALTER TABLE `divxgenres`
  ADD CONSTRAINT `film_types_constraint` FOREIGN KEY (`id_film`) REFERENCES `divx` (`id_film`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `types_constraint` FOREIGN KEY (`id_genre`) REFERENCES `genres` (`id_genre`) ON UPDATE CASCADE;

-- 
-- Contraintes pour la table `divxorigines`
-- 
ALTER TABLE `divxorigines`
  ADD CONSTRAINT `film_origins_constraint` FOREIGN KEY (`id_film`) REFERENCES `divx` (`id_film`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `origins_constraint` FOREIGN KEY (`id_origine`) REFERENCES `origines` (`id_origine`) ON UPDATE CASCADE;

-- 
-- Contraintes pour la table `divxrealisateurs`
-- 
ALTER TABLE `divxrealisateurs`
  ADD CONSTRAINT `directors_constraint` FOREIGN KEY (`id_realisateur`) REFERENCES `realisateurs` (`id_realisateur`) ON UPDATE CASCADE,
  ADD CONSTRAINT `film_directors_constraint` FOREIGN KEY (`id_film`) REFERENCES `divx` (`id_film`) ON DELETE CASCADE ON UPDATE CASCADE;

-- 
-- Contraintes pour la table `prets`
-- 
ALTER TABLE `prets`
  ADD CONSTRAINT `film_constraint` FOREIGN KEY (`id_film`) REFERENCES `divx` (`id_film`) ON UPDATE CASCADE,
  ADD CONSTRAINT `login_constraint` FOREIGN KEY (`login`) REFERENCES `users` (`login`) ON UPDATE CASCADE;

-- 
-- Contraintes pour la table `weborigins`
-- 
ALTER TABLE `weborigins`
  ADD CONSTRAINT `weborigins_ibfk_1` FOREIGN KEY (`id_origine`) REFERENCES `origines` (`id_origine`) ON DELETE CASCADE ON UPDATE CASCADE;
