/*
 * Origines.java, 10 sept. 2005
 * 
 * This file is part of FilmZ.
 *
 * Copyright © 2005 Johan Cwiklinski
 *
 * File :               Origines.java
 * Author's email :     johan@x-tnd.be
 * Author's Website :   http://www.x-tnd.be/
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 * 
 */

package be.xtnd.films.gui;

import be.xtnd.films.Origine;
import be.xtnd.gui.Menus;


/**
 * @author Johan Cwiklinski
 * @version 1.0
 */
public class Origines extends SimpleObjectWindow{
	/** Nom de la fenêtre de la liste des origines */
	public static final String LIST_NAME = "liste_origines";
	/** Nom de la fenêtre d'ajout d'origine */ 
	public static final String NEW_NAME = "nouvelle_origine";
	/** Nom de la fenêtre de modification d'origine */ 
	public static final String MODIF_NAME = "modifie_origine_";

	/** Constructeur par défaut */
	public Origines(){
		super("origins", Menus.ORIGINS_IMAGE, LIST_NAME, MODIF_NAME, NEW_NAME, Origine.LIST_QUERY);
	}
	
	protected void initObject(Integer id){
		if(id==null){
			object = new Origine();
		}else{
			object = new Origine(id);
		}
	}
	
	protected void ajout(Integer id){
		af.film.ajouteOrigine(new Origine(id));
	}
	
	/**
	 * Construit la requête de recherche 
	 * @return requête
	 */
	public String constructQuery(){
		StringBuffer sb = new StringBuffer("SELECT "+Origine.PK+", "+Origine.VALUE+" FROM "+Origine.TABLE);
		if(!textfield.getText().trim().equals("")){
			sb.append(" WHERE "+Origine.VALUE+" LIKE '%"+textfield.getText()+"%'");
		}
		String qry = new String();
		qry = sb.toString();
		return qry;
	}
}
